Bug 121050 - New port: sysutils/heartbeat2 Linux High-Availability Daemon
New port: sysutils/heartbeat2 Linux High-Availability Daemon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 11:20 UTC by ports
Modified: 2009-10-26 17:00 UTC (History)
1 user (show)

See Also:


Attachments
shar.heartbeat2 (34.81 KB, text/plain)
2008-02-24 11:20 UTC, ports
no flags Details
shar-heartbeat-2.1.4 (40.03 KB, application/octet-stream)
2009-01-27 08:18 UTC, ports
no flags Details
shar-heartbeat-2.1.4.txt (40.07 KB, text/plain; charset=US-ASCII)
2009-05-17 07:58 UTC, ports
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2008-02-24 11:20:01 UTC
	New port sysutils/heartbeat2.

	This port is the successor to the sysutils/heartbeat port.

	There are significant changes between the operation of heartbeat
	version 1 and version 2. I think it is best to split these into
	two ports based on user requirements.

Fix: Shar output.
How-To-Repeat: 	N/A.
Comment 1 ports 2008-03-03 10:24:41 UTC
Found a nasty bug that would remove your active cluster config if you 
deinstalled and then reinstalled.  This fixes it plus a small plist change.

--- diffs begins here ---

# diff -ruN Makefile.orig Makefile
--- Makefile.orig       2007-12-26 22:42:39.000000000 -0600
+++ Makefile    2008-03-03 04:01:08.000000000 -0600
@@ -46,6 +46,7 @@
                                --disable-dopd
 
 SUB_FILES=             pkg-install pkg-message
+SUB_LIST=              BATCH=${BATCH}
 
 PKGDEINSTALL=          ${PKGINSTALL}
 
@@ -58,6 +59,10 @@
 
 .include <bsd.port.pre.mk>
 
+.if !defined(BATCH)
+BATCH=NO
+.endif
+
 .if defined(WITH_MGMT)
 BUILD_DEPENDS+=                swig:${PORTSDIR}/devel/swig11
 RUN_DEPENDS+=          py-gtk2:${PORTSDIR}/x11-toolkits/py-gtk2
@@ -91,7 +96,7 @@
 .endif
 
 pre-install:
-       @LOCALBASE=${LOCALBASE} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
+       @${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 
 post-install:
        @if [ ! -f ${PREFIX}/etc/ha.d/authkeys ]; then \
@@ -132,6 +137,6 @@
        @${CAT} ${PKGMESSAGE}
 
 post-deinstall:
-       @LOCALBASE=${LOCALBASE} ${SH} ${PKGINSTALL} ${PKGNAME} DEINSTALL
+       @${SH} ${PKGINSTALL} ${PKGNAME} DEINSTALL
 
 .include <bsd.port.post.mk>

# diff -ruN files/pkg-install.in.orig files/pkg-install.in
--- files/pkg-install.in.orig   2007-12-09 04:57:21.000000000 -0600
+++ files/pkg-install.in        2008-03-03 04:10:46.000000000 -0600
@@ -5,7 +5,7 @@
 UID=275
 GID=${UID}
 
-LOCALBASE=${LOCALBASE:-%%LOCALBASE%%}
+BATCH=${BATCH:-%%BATCH%%}
 
 case $2 in
 
@@ -96,15 +96,35 @@
 
        # Cleanup /var environment
        echo -n "Cleaning up /var environment... "
-       test -d /var/run/heartbeat && \
-               rm -r /var/run/heartbeat
-       test -d /var/lib/heartbeat && \
-               rm -r /var/lib/heartbeat
-       test -f /var/lock/subsys/heartbeat && \
-               rm /var/lock/subsys/heartbeat
-       test -f /var/run/heartbeat.pid && \
-               rm /var/run/heartbeat.pid
-       echo "DONE"
+
+       if [ "$BATCH" = "NO" ]; then
+               echo ""
+               default="n"
+               read -p "    Remove runtime files (cluster config)? 
[yn]: " answer
+
+               case "$answer" in
+                       [Yy]*)  answer=y ;;
+                       [Nn]*)  answer=n ;;
+                       *)              answer=n ;;
+               esac
+
+               if [ "$answer" = "y" ]; then
+                       echo -n "    Removing runtime files... "
+                       test -d /var/run/heartbeat && \
+                               rm -r /var/run/heartbeat
+                       test -d /var/lib/heartbeat && \
+                               rm -r /var/lib/heartbeat
+                       test -f /var/lock/subsys/heartbeat && \
+                               rm /var/lock/subsys/heartbeat
+                       test -f /var/run/heartbeat.pid && \
+                               rm /var/run/heartbeat.pid
+                       echo "DONE"
+               else
+                       echo "Preserving runtime files... DONE"
+               fi
+       else
+               echo "NA"
+       fi
 
        echo -e "\n\n"

# diff -ruN pkg-plist.orig pkg-plist
--- pkg-plist.orig      2007-12-26 22:23:53.000000000 -0600
+++ pkg-plist   2008-03-03 04:08:53.000000000 -0600
@@ -444,6 +444,9 @@
 lib/stonith/plugins/stonith2/apcmaster.a
 lib/stonith/plugins/stonith2/apcmaster.la
 lib/stonith/plugins/stonith2/apcmaster.so
+lib/stonith/plugins/stonith2/apcmastersnmp.a
+lib/stonith/plugins/stonith2/apcmastersnmp.la
+lib/stonith/plugins/stonith2/apcmastersnmp.so
 lib/stonith/plugins/stonith2/apcsmart.a
 lib/stonith/plugins/stonith2/apcsmart.la
 lib/stonith/plugins/stonith2/apcsmart.so
@@ -453,6 +456,9 @@
 lib/stonith/plugins/stonith2/cyclades.a
 lib/stonith/plugins/stonith2/cyclades.la
 lib/stonith/plugins/stonith2/cyclades.so
+lib/stonith/plugins/stonith2/drac3.a
+lib/stonith/plugins/stonith2/drac3.la
+lib/stonith/plugins/stonith2/drac3.so
 lib/stonith/plugins/stonith2/external.a
 lib/stonith/plugins/stonith2/external.la
 lib/stonith/plugins/stonith2/external.so
Comment 2 Wesley Shields freebsd_committer 2008-06-23 16:42:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 3 Wesley Shields freebsd_committer 2008-11-02 19:43:06 UTC
Responsible Changed
From-To: wxs->freebsd-ports-bugs

Back to the pool.
Comment 4 Philip M. Gollucci freebsd_committer 2009-01-26 05:26:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 5 Philip M. Gollucci freebsd_committer 2009-01-26 06:12:13 UTC
State Changed
From-To: open->repocopy

over to portmgr@ for repocopy sysutils/heartbeat -> sysutils/heartbeat2 


Comment 6 Philip M. Gollucci freebsd_committer 2009-01-26 06:12:13 UTC
Responsible Changed
From-To: pgollucci->portmgr

over to portmgr@ for repocopy sysutils/heartbeat -> sysutils/heartbeat2
Comment 7 Joe Marcus Clarke freebsd_committer 2009-01-26 06:34:10 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 8 Joe Marcus Clarke freebsd_committer 2009-01-26 06:34:10 UTC
Responsible Changed
From-To: portmgr->pgollucci

Repocopy complete.
Comment 9 pgollucci 2009-01-26 06:43:22 UTC
patch < query-pr.cgi\?prp\=121050-2-txt
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|# diff -ruN Makefile.orig Makefile
|--- Makefile.orig       2007-12-26 22:42:39.000000000 -0600
|+++ Makefile    2008-03-03 04:01:08.000000000 -0600
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 46.
Hunk #2 succeeded at 59 with fuzz 2.
Hunk #3 failed at 96.
Hunk #4 failed at 137.
3 out of 4 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|# diff -ruN files/pkg-install.in.orig files/pkg-install.in
|--- files/pkg-install.in.orig   2007-12-09 04:57:21.000000000 -0600
|+++ files/pkg-install.in        2008-03-03 04:10:46.000000000 -0600
--------------------------
Patching file files/pkg-install.in using Plan A...
Hunk #1 succeeded at 5.
patch: **** malformed patch at line 72: [yn]: " answer
Comment 10 Philip M. Gollucci freebsd_committer 2009-01-26 06:44:04 UTC
State Changed
From-To: open->feedback

Patch doesn't apply, can you fix ?
Comment 11 Philip M. Gollucci freebsd_committer 2009-01-28 04:12:35 UTC
State Changed
From-To: feedback->open

feedback received
Comment 12 pgollucci 2009-01-28 05:42:50 UTC
Justin Head wrote:
> This is pretty old.  I've attached a new shar file of the latest 
> heartbeat 2.1.4 release.  It compiles fine on my system.  Let me know 
> how it goes.
Any reason this doesn't update sysutils/heartbeat ?


-- 
------------------------------------------------------------------------
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C
Philip M. Gollucci (pgollucci@p6m7g8.com) c: 703.336.9354
Consultant          - P6M7G8 Inc.                http://p6m7g8.net
Senior Sys Admin    - RideCharge, Inc.           http://ridecharge.com
Contractor          - PositiveEnergyUSA          http://positiveenergyusa.com
ASF Member          - Apache Software Foundation http://apache.org
FreeBSD Committer   - FreeBSD Foundation         http://freebsd.org

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 13 ports 2009-01-29 19:38:47 UTC
At the time i originally submitted the port the heartbeat group was still
supporting the use of version 1.  They do not seem to be doing that anymore
so i guess it is fine to replace sysutils/heartbeat with this.

- Justin

On Tue, Jan 27, 2009 at 11:42 PM, Philip M. Gollucci
<pgollucci@p6m7g8.com>wrote:

> Justin Head wrote:
>
>> This is pretty old.  I've attached a new shar file of the latest heartbeat
>> 2.1.4 release.  It compiles fine on my system.  Let me know how it goes.
>>
> Any reason this doesn't update sysutils/heartbeat ?
>
>
> --
> ------------------------------------------------------------------------
> 1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C
> Philip M. Gollucci (pgollucci@p6m7g8.com) c: 703.336.9354
> Consultant          - P6M7G8 Inc.                http://p6m7g8.net
> Senior Sys Admin    - RideCharge, Inc.           http://ridecharge.com
> Contractor          - PositiveEnergyUSA
> http://positiveenergyusa.com
> ASF Member          - Apache Software Foundation http://apache.org
> FreeBSD Committer   - FreeBSD Foundation         http://freebsd.org
>
> Work like you don't need the money,
> love like you'll never get hurt,
> and dance like nobody's watching.
>
Comment 14 dfilter freebsd_committer 2009-04-02 09:30:02 UTC
pav         2009-04-02 08:29:47 UTC

  FreeBSD ports repository

  Removed files:
    sysutils/heartbeat2  Makefile distinfo pkg-descr pkg-plist 
    sysutils/heartbeat2/files extrapatch-lib-clplumbing-resource.h 
                              patch-heartbeat_resource.d_IPaddr.in 
                              patch-ldirectord-init.d-ldirectord 
                              pkg-install.in 
  Log:
  - Delete unfinished repocopy. The submitter indicates upgrade of existing port
    to new version would be preferable.
  
  PR:             ports/121050
  Ball dropped by:pgollucci
  
  Revision  Changes    Path
  1.18      +0 -90     ports/sysutils/heartbeat2/Makefile (dead)
  1.6       +0 -3      ports/sysutils/heartbeat2/distinfo (dead)
  1.3       +0 -154    ports/sysutils/heartbeat2/files/extrapatch-lib-clplumbing-resource.h (dead)
  1.3       +0 -11     ports/sysutils/heartbeat2/files/patch-heartbeat_resource.d_IPaddr.in (dead)
  1.3       +0 -11     ports/sysutils/heartbeat2/files/patch-ldirectord-init.d-ldirectord (dead)
  1.6       +0 -138    ports/sysutils/heartbeat2/files/pkg-install.in (dead)
  1.3       +0 -24     ports/sysutils/heartbeat2/pkg-descr (dead)
  1.6       +0 -276    ports/sysutils/heartbeat2/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Philip M. Gollucci freebsd_committer 2009-04-09 19:59:30 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports

e no time
Comment 16 Mark Linimon freebsd_committer 2009-04-09 22:52:10 UTC
Responsible Changed
From-To: freebsd-ports->freebsd-ports-bugs

Canonicalize assignment.
Comment 17 bsam 2009-05-13 17:13:44 UTC
Just tried to download your latest patch. It happens to be
a binary file. What should I do with it?

WBR
-- 
bsam
Comment 18 Boris Samorodov freebsd_committer 2009-05-16 16:53:42 UTC
State Changed
From-To: open->feedback

Awaing for a feedback.
Comment 19 Jun Kuriyama freebsd_committer 2009-05-30 15:06:56 UTC
I put extracted tarball of shar-heartbeat-2.1.4.txt on:

http://people.freebsd.org/~kuriyama/ports-121050-20090530.tgz

But this needs to be fixed warnings by portlint.  I'll look into it.


-- 
Jun Kuriyama <kuriyama@FreeBSD.org> // FreeBSD Project
         <kuriyama@s2factory.co.jp> // S2 Factory, Inc.
Comment 20 Jun Kuriyama freebsd_committer 2009-06-01 06:10:24 UTC
I think its commit-ready version.

o Add $PATCH_DEPENDS found by tinderbox test.
o Use %%DATADIR%%.
o Use $DIST_SUBDIR because distname is not include "heartbeat" string.

http://people.freebsd.org/~kuriyama/ports-121050-20090531.tgz


And I've Cc:'ed to current maintainer (Scott Kleihege).  Scott, how
about this (PR ports/121050) upgrade?  Do you want to maintain
heartbeat v2?  Or take over to submitter?


-- 
Jun Kuriyama <kuriyama@FreeBSD.org> // FreeBSD Project
         <kuriyama@s2factory.co.jp> // S2 Factory, Inc.
Comment 21 bsam 2009-07-28 16:55:56 UTC
Let me suggest a diff file base on kuriyama@ proposal
since it may be less hard to read/understand:
ftp://ftp.ipt.ru/pub/download/heartbeat.diff

Changes since the last kuriyama@ proposal (since it's not
a new port but just an update of the existing one):
. remove headers from Makefile;
. remove CONFLICTS.

Notes to a commiter.

1) Files removed:
. files/patch-configure;
. files/patch-heartbeat-resource.d-BSDService.in;
. files/patch-heartbeat-resource.d-Makefile.in;
. files/patch-heartbeat_resource.d_IPaddr.in;
. files/patch-ldirectord-init.d-ldirectord.

2) Files added:
. files/patch-configure.in;
. files/patch-heartbeat-init.d-heartbeat.in;
. files/patch-ldirectord-ldirectord.in;
. files/pkg-message.in.

Proposed commit log:

. update to version 2.1.4;
. add $PATCH_DEPENDS found by tinderbox test;
. new MAINTAINER;
. use %%DATADIR%% at pkg-plist;
. use $DIST_SUBDIR because distname does not include "heartbeat" string.

BTW, I think that since there are many changes, it's worth committing
some apropriate lines to /usr/ports/UPDATING. Anyone?

CCed to current maintainer, however a maintainer timeout has passed
long ago.
Comment 22 ports 2009-07-29 09:22:21 UTC
The only items i see that need updated before committing are the
Makefile's MASTER_SITES and MASTER_SITE_SUBDIR from when Jun was
testing.

I believe it is possible to drop in heartbeat v2 into a current v1
configuration.  You do not get the added features of v2 but it will
work.  Then again it has been a long while since i moved from v1 and i
cannot recall if i even gave the v1 configuration a chance before
moving everything to v2. YMMV.

If we wanted to include a snippet in UPDATING perhaps something like this:

---
Heartbeat has been upgraded to the 2.1.4 release.  Older
configurations based on version 1 should still work.  Read more about
the new features and possible configuration changes at the following
urls.

http://clusterlabs.org/wiki/Documentation (Configuration 0.6 Explained)
http://www.linux-ha.org/GettingStartedRevisedV2
---

- Justin
Comment 23 dfilter freebsd_committer 2009-07-29 10:13:41 UTC
bsam        2009-07-29 09:13:32 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    sysutils/heartbeat   Makefile distinfo pkg-descr pkg-plist 
    sysutils/heartbeat/files pkg-install.in 
  Added files:
    sysutils/heartbeat/files patch-configure.in 
                             patch-heartbeat-init.d-heartbeat.in 
                             patch-ldirectord-ldirectord.in 
                             pkg-message.in 
  Removed files:
    sysutils/heartbeat/files patch-configure 
                             patch-heartbeat-resource.d-BSDService.in 
                             patch-heartbeat-resource.d-Makefile.in 
                             patch-heartbeat_resource.d_IPaddr.in 
                             patch-ldirectord-init.d-ldirectord 
  Log:
  . update to version 2.1.4;
  . add a note to /usr/ports/UPDATING;
  . add $PATCH_DEPENDS found by tinderbox test;
  . switch maintainership to the submitter;
  . use %%DATADIR%% at pkg-plist;
  . use $DIST_SUBDIR because distname does not include "heartbeat" string.
  
  PR:             ports/121050
  Submitted by:   Justin Head <ports@encarnate.com>
  Approved by:    scott-ports@tummy.com (maintainer timeout at least two months)
  
  Revision  Changes    Path
  1.838     +11 -1     ports/UPDATING
  1.19      +119 -51   ports/sysutils/heartbeat/Makefile
  1.5       +3 -3      ports/sysutils/heartbeat/distinfo
  1.2       +0 -20     ports/sysutils/heartbeat/files/patch-configure (dead)
  1.1       +88 -0     ports/sysutils/heartbeat/files/patch-configure.in (new)
  1.1       +39 -0     ports/sysutils/heartbeat/files/patch-heartbeat-init.d-heartbeat.in (new)
  1.2       +0 -95     ports/sysutils/heartbeat/files/patch-heartbeat-resource.d-BSDService.in (dead)
  1.2       +0 -37     ports/sysutils/heartbeat/files/patch-heartbeat-resource.d-Makefile.in (dead)
  1.3       +0 -54     ports/sysutils/heartbeat/files/patch-heartbeat_resource.d_IPaddr.in (dead)
  1.2       +0 -11     ports/sysutils/heartbeat/files/patch-ldirectord-init.d-ldirectord (dead)
  1.1       +11 -0     ports/sysutils/heartbeat/files/patch-ldirectord-ldirectord.in (new)
  1.5       +119 -125  ports/sysutils/heartbeat/files/pkg-install.in
  1.1       +25 -0     ports/sysutils/heartbeat/files/pkg-message.in (new)
  1.2       +19 -22    ports/sysutils/heartbeat/pkg-descr
  1.6       +459 -76   ports/sysutils/heartbeat/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 24 Boris Samorodov freebsd_committer 2009-07-29 10:18:27 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 25 borjam 2009-10-26 16:58:47 UTC
Seems that some configurations don't work.

Is there a sound reason to drop heartbeat 1.x and force an upgrade to  
2.x? I've seen a couple of services due to this. The operator assumed  
that "heartbeat" was the same.

As both are quite different, there should be different ports for both,  
in my opinion.





Borja.